#include <sys/time.h>
#include "define.h"
#include "extern.h"

#define NUM_ELEM 6

struct _status {
	long def;
	char car;
	int num;
}; 

static struct _status ret_status [ NUM_ELEM ] = {
	PS_SLEEP, 'S', 0,
	PS_RUN,   'R', 0,
	PS_STOP,  'T', 0,
	PS_ZOMBIE,'Z', 0,
	PS_IDLE,  'I', 0,
	PS_OTHER, 'O', 0
};

char  get_status ( index )
int index;
{
	long status = pbuf [ index ].pst_stat;
	register int i;

	for ( i = 0 ; i < NUM_ELEM ; ++i )
		if ( status == ret_status [ i ].def )
			return ( ret_status [ i ].car );
	
	return ( '?' );
}

void count_status( nproc )
int nproc;
{
	register int i,j;

	for ( j = 0; j < NUM_ELEM; ++j )
		ret_status [ j ].num = 0L;
		
	for ( i = 0; i < nproc; ++i )
		for ( j = 0; j < NUM_ELEM; ++j )
			if ( pbuf [ i ].pst_stat == ret_status [ j ].def )
					ret_status [ j ].num++;
}

int status_sleep()
{
	return ( ret_status [ 0 ].num );
}

int status_run()
{
	return ( ret_status [ 1 ].num );
}

int status_stop()
{
	return ( ret_status [ 2 ].num );
}

int status_zombie()
{
	return ( ret_status [ 3 ].num );
}

int status_other()
{
	return ( ret_status [ 4 ].num + ret_status [ 5 ].num );
}
