#include <sys/time.h>
#include "define.h"
#include "extern.h"

#define MAX_BUF 10

static char *mo[] = {
	"Jan",
	"Feb",
	"Mar",
	"Apr",
	"May",
	"Jun",
	"Jul",
	"Aug",
	"Sep",
	"Oct",
	"Nov",
	"Dec"
};

int compare_start_time( a, b )
struct pst_status *a,*b;
{
	if ( invert )
		return ( a->pst_start < b->pst_start ? -1 : a->pst_start == b->pst_start ? 0 : 1 );
	else
		return ( a->pst_start < b->pst_start ? 1 : a->pst_start == b->pst_start ? 0 : -1 );
		
}

char  *visual_start_time ( index )
int index;
{
	static struct tm actual; 
	static int yet = 0;
	static char buf[ MAX_BUF ];
	struct tm *p_start_time = NULL;

	if ( !yet ) {
		time_t actual_time = time ( ( time_t *)0 );
		actual = *localtime ( &actual_time );
		yet = 1;
	}

	p_start_time = localtime ( &pbuf[ index ].pst_start );

	if ( p_start_time->tm_mday != actual.tm_mday )
			sprintf ( buf ,"-%2d %s-",
				p_start_time->tm_mday,
				mo [ p_start_time->tm_mon ] );
		else
			sprintf ( buf, "%2d:%.2d:%.2d", 
				p_start_time->tm_hour,
				p_start_time->tm_min,
				p_start_time->tm_sec );

	buf [ MAX_BUF - 1 ] = '\0';
	return ( buf );
}
